# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Element Point

JXG.GeometryElement
↳ JXG.Point
↳ Point

This element is used to provide a constructor for a general point. A free point is created if the given parent elements are all numbers and the property fixed is not set or set to false. If one or more parent elements is not a number but a string containing a GEONExT constraint or a function the point will be considered as constrained). That means that the user won't be able to change the point's position directly.
Defined in: Point.js.
Extends JXG.Point.

Element Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Point

Element Detail
Point

This element has no direct constructor. To create an instance of this element you have to call JXG.Board#create with type "point".
Possible parent array combinations are:
{Number|string|function} z Optional
{Number|string|function} x
{Number|string|function} y
  Parent elements can be two or three elements of type number, a string containing a GEONExT constraint, or a function which takes no parameter and returns a number. Every parent element determines one coordinate. If a coordinate is given by a number, the number determines the initial position of a free point. If given by a string or a function that coordinate will be constrained that means the user won't be able to change the point's position directly by mouse because it will be calculated automatically depending on the string or the function's return value. If two parent elements are given the coordinates will be interpreted as 2D affine euclidean coordinates, if three such parent elements are given they will be interpreted as homogeneous coordinates.
{JXG.Point} Point
{JXG.Transformation} Transformation
  A point can also be created providing a transformation. The resulting point is a clone of the base point transformed by the given Transformation. {@see JXG.Transformation}.

Throws:
{Exception}
  If the element cannot be constructed with the given parent objects an exception is thrown.

Examples:

    // Create a free point using affine euclidean coordinates
    var p1 = board.create('point', [3.5, 2.0]);

    // Create a constrained point using anonymous function
    var p2 = board.create('point', [3.5, function () { return p1.X(); }]);

    // Create a point using transformations
    var trans = board.create('transform', [2, 0.5], {type:'scale'});
    var p3 = board.create('point', [p2, trans]);

Attributes borrowed from other Elements

Attributes borrowed from class JXG.Point:
  attractorDistance, attractors, face, showInfobox, size, snapSizeX, snapSizeY, snapToGrid, snapToPoints, snatchDistance, style
Attributes borrowed from class JXG.GeometryElement:
  dash, draft, fillColor, fillOpacity, fixed, frozen, highlight, highlightFillColor, highlightFillOpacity, highlightStrokeColor, highlightStrokeOpacity, highlightStrokeWidth, needsRegularUpdate, shadow, strokeColor, strokeOpacity, strokeWidth, trace, traceAttributes, visible, withLabel

Fields borrowed from other Elements

Fields borrowed from class JXG.Point:
  coords, group, onPolygon, position
Fields borrowed from class JXG.GeometryElement:
  addEvent, ancestors, baseElement, board, childElements, descendants, dump, elementClass, elType, eventHandlers, getAttribute, hasLabel, highlighted, id, isDraggable, isReal, methodMap, mouseover, name, needsUpdate, notExistingParents, numTraces, quadraticform, removeEvent, stdform, subs, symbolic, traces, transformations, type, visProp

Methods borrowed from other Elements

Methods borrowed from class JXG.Point:
  _anim, addConstraint, addTransform, Dist, free, handleAttractors, handleSnapToGrid, handleSnapToPoints, hasPoint, makeGlider, moveAlong, moveTo, normalizeFace, remove, setGliderPosition, setPosition, setPositionByTransform, setPositionDirectly, setStyle, update, updateConstraint, updateGlider, updateGliderFromParent, updateRenderer, updateTransform, visit, X, XEval, Y, YEval, Z, ZEval
Methods borrowed from class JXG.GeometryElement:
  _set, addChild, addDescendants, animate, bounds, clearTrace, cloneToBackground, countChildren, createGradient, createLabel, draggable, generatePolynomial, getAttributes, getLabelAnchor, getName, getParents, getProperty, getTextAnchor, getType, hideElement, labelColor, noHighlight, normalize, off, on, prepareUpdate, resolveShortcuts, setArrow, setAttribute, setDash, setLabelText, setProperty, setStraight, showElement, triggerEventHandlers

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:11 GMT+0200 (MESZ)